Subject: [CDNi] Last Call: <draft-ietf-cdni-use-cases-08.txt> (Use Cases for Content Delivery Network Interconnection) to Informational RFC

From: The IESG <[email-masked]>
Date: Wed, 20 Jun 2012 06:14:55 -0700

The IESG has received a request from the Content Delivery Networks
Interconnection WG (cdni) to consider the following document:
- 'Use Cases for Content Delivery Network Interconnection'
  <draft-ietf-cdni-use-cases-08.txt> as Informational RFC

The IESG plans to make a decision in the next few weeks, and solicits
final comments on this action. Please send substantive comments to the
[email-masked] mailing lists by 2012-07-04. Exceptionally, comments may be
sent to [email-masked] instead. In either case, please retain the
beginning of the Subject line to allow automated sorting.

Abstract

   Content Delivery Networks (CDNs) are commonly used for improving the
   End User experience of a content delivery service, at a reasonable
   cost.  This document focuses on use cases that correspond to
   identified industry needs and that are expected to be realized once
   open interfaces and protocols supporting interconnection of CDNs are
   specified and implemented.  The document can be used to guide the
   definition of the requirements to be supported by CDN Interconnection
   (CDNI) interfaces.  It obsoletes RFC 3570.

The file can be obtained via
http://datatracker.ietf.org/doc/draft-ietf-cdni-use-cases/

IESG discussion can be tracked via
http://datatracker.ietf.org/doc/draft-ietf-cdni-use-cases/ballot/

The following IPR Declarations may be related to this I-D:

   http://datatracker.ietf.org/ipr/1764/

---

From: Dan York <[email-masked]>
Date: Thu, 21 Jun 2012 22:31:50 -0400

Responding to the Last Call for comments, I think the draft is well done and will be very useful in helping people understand what the CDNI effort is all about.

My only substantive comment is that there is another use case related to IPv6 that could be spelled out under section 4.1, "Device and Network Technology Extension":

http://tools.ietf.org/html/draft-ietf-cdni-use-cases-08#section-4.1

The text for the additional use case could be:
----
3. CDN-A only supports IPv4 within its infrastructure but wants to deliver content over IPv6.  CDN-B supports both IPv4 and IPv6 within its infrastructure. CDN-A interconnects with CDN-B to serve out its content over native IPv6 connections.
----

In truth this could be seen as a variation of use case #1 in this section, "CDN-A cannot support a specific delivery protocol," and is similar to the reference to HTTPS in use case #1.  However, when I read that use case I find myself thinking about higher level delivery protocols and not something as fundamental as IP.  

Plus, given that we'll be in the IPv4/IPv6 transition for some time, it may be useful to specifically highlight how CDNI could assist in the transition to IPv6.

Again, I think it's a good document that should be published.

My 2 cents,
Dan

P.S. Well, I will also admit that the comma in the first sentence of the abstract bothers me: "Content Delivery Networks (CDNs) are commonly used for improving the End User experience of a content delivery service, at a reasonable cost." I think that comma could be removed... but I'll leave that for the grammarians to duke it out... :-)

On Jun 20, 2012, at 9:14 AM, The IESG wrote:

> _______________________________________________
> CDNi mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/cdni

-- 
Dan York  [email-masked]
http://danyork.me/   skype:danyork
Phone: +1-802-735-1624
Twitter - http://twitter.com/danyork
--------------------------------------------------------
All comments and opinions are entirely my own and have no connection whatsoever to any employer, past or present. Indeed, by tomorrow even I might be disavowing these comments.
--------------------------------------------------------

-- 
Dan York  [email-masked]
http://www.danyork.com/   skype:danyork
Phone: +1-802-735-1624
Twitter - http://twitter.com/danyork
--------------------------------------------------------
All comments and opinions are entirely my own and have no connection whatsoever to any employer, past or present. Indeed, by tomorrow even I might be disavowing these comments.
--------------------------------------------------------